# dba_key_split

(PHP 5, PHP 7, PHP 8)

dba_key_split — Transforme une représentation de clé DBA par chaîne en une représentation par tableau

### Description

dba_key_split(string|false|null `$key`): array|false

dba_key_split() transforme une représentation de clé DBA par chaîne en une représentation par tableau.

### Liste de paramètres

`key`

  La clé sous forme de chaîne de caractères.

### Valeurs de retour

Retourne un tableau sous la forme `array(0 => group, 1 => nom_valeur)`. Cette fonction retourne `false` si `key` vaut `null` ou `false`.

### Historique

Version | Description
--- | ---
8.4.0 | Passer `null` ou `false` à `key` est désormais déprécié.

### Voir aussi

- dba_firstkey() - Lit la première clé DBA
- dba_nextkey() - Lit la clé DBA suivante
- dba_fetch() - Lit les données liées à une clé DBA